/*
 * 쐬: 2003/12/07
 *
 */
package com.muimi.pt;

import org.eclipse.core.runtime.IPluginDescriptor;
import org.eclipse.core.runtime.IStatus;
import org.eclipse.core.runtime.Status;
import org.eclipse.ui.IWorkbenchPage;
import org.eclipse.ui.PlatformUI;
import org.eclipse.ui.plugin.AbstractUIPlugin;

/**
 * @author miya
 *
 */
public class PTPlugin extends AbstractUIPlugin{

	private static PTPlugin plugin;


	public PTPlugin(IPluginDescriptor descriptor) {
		super(descriptor);
		plugin = this;
	}
	
	public static PTPlugin getDefault(){
		return plugin;
	}
	
	public static IWorkbenchPage getActivePage(){
		return PlatformUI.getWorkbench().getActiveWorkbenchWindow().getActivePage();
	}



	public static void log(String message, Throwable t) {
		getDefault().getLog().log(
			new Status(
				IStatus.ERROR,
				getDefault().getDescriptor().getUniqueIdentifier(),
				0,
				message,
				t));
	}
	
	public static void debug(String message){
		System.out.println(message);
	}

}
